/*****************************************************************************

  3D Randomized Motion Planner

  COPYRIGHT (c) 1990 
  THE BOARD OF TRUSTEES OF THE LELAND STANFORD JUNIOR UNIVERSITY
  ALL RIGHTS RESERVED

  No duplications, whole or partial, manual or electronic, may be made 
  without the express permission of the author. Any such copies, or 
  revisions thereof, must display this notice unaltered.

  Robotics Laboratory,
  Computer Science Department,
  Stanford University

  Original author: Jerome Barraquand
  Modified by Tsai-Yen Li (li@flamingo.Stanford.EDU)
  Advisor: Jean-Claude Latombe

******************************************************************************/

/*****************************************************************************/
/*                                                                           */
/*                Defining constants for the whole planner                   */
/*                                                                           */
/*****************************************************************************/

#define DEGREE       7         /* Need to be given so that the configuration
				  variable can be defined */
#ifndef M_PI
#define M_PI         3.14159265358979323846
#endif

#ifndef TWOPI
#define TWOPI 6.28218530717958647692
#endif

#ifndef MAXFLOAT
#define MAXFLOAT       ((float)1.701411733192644299e+38)
#endif

#define PI           M_PI
#define OBSTACLE     255
#define FREESPACE    254
#define UNVISITED    254       /* same as freespace to copy bitmaps */
#define MAXNUMPRIM   32        /* Maximun number of primitives for an object */
#define MAXSEG       200       /* Maximum number of line segment */
#define MAXOBJ       30        /* Maximum number of objects */
#define MAXNBP       30        /* Maximum number of points in the robot */
#define MAXLEAD      5         /* Maximun number of leading points */ 
#define POTENTIAL    potential1/* potential method used */
#define HIT          hit       /* collision checking method used */
#define GROW         0.03
#define EXACT
#define VERBOSE
#ifndef FALSE
#define FALSE 0
#endif
#ifndef TRUE
#define TRUE 1
#endif

extern int verbose;


