/* montecarlo_.c */
int main(int /*argc*/, char **/*argv*/);
void initparam(FILE */*fd_robot*/);
void PrintHelp(void);
/* montecarlo.c */
int find_path(image /*V*/, image /*voro*/, path */*finalpath*/);
int concat(path /*path1*/, path */*path2*/);
/* motion.c */
boolean down(configuration /*curq*/, float */*Uend*/, configuration */*result*/, int */*length*/, image /*V*/, image */*heurpot*/);
boolean brownian(configuration /*minlocq*/, float */*Uminloc*/, configuration */*result*/, int */*length*/, int */*nbsteps*/, image /*V*/, image */*heurpot*/);
/* heuristic.c */
void heuristic(unsigned char ***/*voro*/, unsigned char ***/*V*/, ipoint3D */*goal*/, image */*iheurpot*/);
/* smooth.c */
int smooth4(image /*V*/, int /*intervals*/, path */*pX*/);
void smooth3(image /*V*/, int /*intervals*/, path */*pX*/);
void smooth2(image /*V*/, int /*intervals*/, path */*pX*/);
config_node *smooth2_aux(image /*V*/, int /*intervals*/, path */*pX*/, int */*ppoint1*/, int */*ppoint2*/);
config_node *smooth1(image /*V*/, int /*intervals*/, path */*pX*/, int /*start*/, int /*end*/, config_node */*head*/);
config_node *collision_free(image /*V*/, int /*intervals*/, path */*pX*/, int /*start*/, int /*end*/, config_node */*head*/);
void free_config_node(config_node */*ptr*/);
config_node *append_config_node(config_node */*head1*/, config_node */*head2*/);
void print_config_node(config_node */*head*/);
int list_length(config_node */*head*/);
void write_path(config_node */*item*/, FILE */*fout*/);
void swap_int(int */*p1*/, int */*p2*/);
int shift_path(path */*pX*/, config_node */*head*/, int /*point1*/, int /*point2*/);
double sqr_euclidean_distance(configuration /*q1*/, configuration /*q2*/);
void write_smooth(char */*ismooth*/, path */*pX*/);
char *new_filename(int /*j*/);
double curvilinear(path */*X*/);
boolean CurvePath(configuration */*X*/, int /*dim*/, image /*V*/);
/* clock.c */
clock_t Start_Clock(char */*proc_str*/);
clock_t Finish_Clock(char */*proc_str*/);
void Calculate_Time(char */*proc_str*/, clock_t /*start*/, clock_t /*finish*/);
/* parse.c */
struct arg *parse_args(int /*argc*/, char */*argv*/[]);
int set_ch(struct arg */*args*/, char /*x*/);
void set_str(struct arg */*args*/, char */*x*/, char /*last*/);
int GetIntOpt(struct arg */*args*/, char /*c*/, int */*var*/, int /*d*/, int /*min*/, int /*max*/);
int GetFloatOpt(struct arg */*args*/, char /*c*/, float */*var*/, float /*d*/, float /*min*/, float /*max*/);
int GetStrOpt(struct arg */*args*/, char /*c*/, char */*var*/, char */*d*/, int /*min*/, int /*max*/);
/* malloc.c */
char **calloc2D(int /*dy*/, int /*dz*/, int /*oc*/);
char ***calloc3D(int /*dimx*/, int /*dimy*/, int /*dimz*/, int /*oc*/);
fpoint3D ***callocf3D(int /*dimx*/, int /*dimy*/, int /*dimz*/, int /*oc*/);
void free3D(unsigned char ***/*bm*/);
/* fk.c */
void RX(int /*theta*/, fpoint3D */*P*/, fpoint3D */*Q*/);
void RY(int /*theta*/, fpoint3D */*P*/, fpoint3D */*Q*/);
void RZ(int /*theta*/, fpoint3D */*P*/, fpoint3D */*Q*/);
void Init_FK(void);
void CRX(double /*theta*/, fpoint3D */*P*/, fpoint3D */*Q*/);
void CRY(double /*theta*/, fpoint3D */*P*/, fpoint3D */*Q*/);
void CRZ(double /*theta*/, fpoint3D */*P*/, fpoint3D */*Q*/);
void FK_Unit(configuration /*X*/, fpoint3D /*Y*/[3]);
void FK_Point(configuration /*T*/, fpoint3D /*OldP*/, fpoint3D */*NewP*/);
void BK_Point(configuration /*T*/, fpoint3D /*OldP*/, fpoint3D */*NewP*/);
void T_multiply(fvector3D /*A*/[3], fvector3D /*B*/[3], fvector3D /*C*/[3]);
void trans_lead(ipoint3D */*ilead_pts*/);
void Local_to_global(fpoint3D /*origin*/, fvector3D /*unit*/[3], fpoint3D /*localp*/, fpoint3D */*globalp*/);
void FK(configuration /*X*/, fpoint3D */*curpoints*/);
void CFK(configuration /*X*/, fpoint3D */*curpoints*/);
/* hit.c */
boolean hit_seg(fpoint3D */*X*/, image /*V*/, int /*a*/, int /*b*/);
boolean hit(fpoint3D */*X*/, image /*V*/);
void cross_prod(fvector3D /*p1*/, fvector3D /*p2*/, fvector3D */*p3*/);
boolean seg_collide(fpoint3D /*p1*/, fpoint3D /*p2*/, fpoint3D /*p3*/, fpoint3D /*p4*/);
boolean goodson(configuration /*X*/, fpoint3D */*cur_point*/);
/* init.c */
void fscanf_eol(FILE */*fd*/);
void Read_Robot_File(FILE */*fd*/);
